package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuQueryRequest struct {
	/*
	   入参     */
	Param *domain.AlibabaWdkSkuQuerySkuQueryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuQueryRequest) SetParam(v domain.AlibabaWdkSkuQuerySkuQueryDo) *AlibabaWdkSkuQueryRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
